Comment #1 on issue 3705 by julian.m...@gmail.com: Unable to use 'rbt post' with https and Python 2.7.9
https://code.google.com/p/reviewboard/issues/detail?id=3705

I'm seeing the same problem. Applying this change:

--- /opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/RBTools-0.6.3-py2.7.egg/rbtools/commands/__init__.py.orig 2015-01-02 17:53:41.000000000 +0000 +++ /opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/RBTools-0.6.3-py2.7.egg/rbtools/commands/__init__.py 2015-01-02 17:46:25.000000000 +0000
@@ -558,7 +558,7 @@
             api_root = api_client.get_root()
         except ServerInterfaceError, e:
             raise CommandError("Could not reach the Review Board "
-                               "server at %s" % server_url)
+                               "server at %s due to %s" % (server_url, e))
         except APIError, e:
             raise CommandError("Unexpected API Error: %s" % e)


`rbt post --debug` gives me this error:

Checking for a Git repository...
Running: git rev-parse --git-dir
Running: git config core.bare
Running: git rev-parse --show-toplevel
Running: git symbolic-ref -q HEAD
Running: git config --get branch.develop.merge
Running: git config --get branch.develop.remote
Running: git config --get remote.origin.url
repository info: Path: g...@github.com:agaridata/fbr-import-milter.git, Base path: , Supports changesets: False
Making HTTP GET request to https://reviewboard.agari.com/api/
Traceback (most recent call last):
  File "/usr/local/bin/rbt", line 9, in <module>
    load_entry_point('RBTools==0.6.3', 'console_scripts', 'rbt')()
File "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/RBTools-0.6.3-py2.7.egg/rbtools/commands/main.py", line 134, in main
    command.run_from_argv([RB_MAIN, command_name] + args)
File "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/RBTools-0.6.3-py2.7.egg/rbtools/commands/__init__.py", line 416, in run_from_argv
    exit_code = self.main(*args) or 0
File "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/RBTools-0.6.3-py2.7.egg/rbtools/commands/post.py", line 710, in main
    api_client, api_root = self.get_api(server_url)
File "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/RBTools-0.6.3-py2.7.egg/rbtools/commands/__init__.py", line 561, in get_api
    "server at %s due to %s" % (server_url, e))
rbtools.commands.CommandError: Could not reach the Review Board server at https://reviewboard.agari.com due to [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581)

I think this might be related to the HTTPS server having SSL disabled (allowing only TLS due to the recent SSL protocol vulnerabilities discovered), and urllib2 not bothering to try TLS.

--
You received this message because this project is configured to send all issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings

--
You received this message because you are subscribed to the Google Groups 
"reviewboard-issues" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to reviewboard-issues+unsubscr...@googlegroups.com.
To post to this group, send email to reviewboard-issues@googlegroups.com.
Visit this group at http://groups.google.com/group/reviewboard-issues.
For more options, visit https://groups.google.com/d/optout.

Reply via email to